// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        // 主体高度
        infoHeight: '',
        frameStyle: { useTop: true, name: '修改密码', leftArrow: true, useBar: false },
        form: {}
    },
    back: function () {
        wx.navigateBack({ url: '/pages/me/index' })
    },
    //提交
    formSubmit: function (e) {
        const value = e.detail.value;
        if (!this.WxValidate.checkForm(value)) {
            const error = this.WxValidate.errorList[0];
            wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
            return false
        } else {
            wx.request({
                url: `${app.globalData.publicUrl}/courtAdmin/api/user/updatePwd/${res.data.id}`,
                method: "post",
                data: value,
                header: {},
                success: res => {
                    if (res.data.errcode == 0) {
                        wx.showToast({
                            title: '保存成功',
                            icon: 'success',
                            duration: 2000
                        })
                    } else {
                        wx.showToast({
                            title: '保存失败',
                            icon: 'success',
                            duration: 2000
                        })
                    }
                },
            })
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        // 计算高度
        this.searchHeight();
        // 监听用户是否登录
        this.watchLogin();
        //验证规则函数
        this.initValidate();

    },
    //验证必填项
    initValidate() {
        const rules = { password: { required: true }, }
        // 验证字段的提示信息，若不传则调用默认的信息
        const messages = { password: { required: '请输入新密码' }, };
        this.WxValidate = new WxValidate(rules, messages)
    },
    // 监听用户是否登录
    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'token',
            success: res => {
                wx.request({
                    url: `${app.globalData.publicUrl}/courtAdmin/api/user/${res.data.id}`,
                    method: "get",
                    data: {},
                    header: {},
                    success: res => {
                        that.setData({ form: res.data.data })
                    },
                    error: err => {
                    }
                })
            },
            fail: res => {
                wx.redirectTo({ url: '/pages/login/index', })
            }
        })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})